#!/usr/bin/env python3
import requests

headers = {'Content-Type': 'application/x-ofx'}
payload = (
"OFXHEADER:100\r\n"
"DATA:OFXSGML\r\n"
"VERSION:102\r\n"
"SECURITY:NONE\r\n"
"ENCODING:USASCII\r\n"
"CHARSET:1252\r\n"
"COMPRESSION:NONE\r\n"
"OLDFILEUID:NONE\r\n"
"NEWFILEUID:NONE\r\n"
"\r\n"
"<OFX>\r\n"
"<SIGNONMSGSRQV1>\r\n"
"<SONRQ>\r\n"
"<DTCLIENT>20140427213800.000[-7:MST]\r\n"
"<USERID>1242940\r\n"
"<USERPASS>0732\r\n"
"<LANGUAGE>ENG\r\n"
"<FI>\r\n"
"<ORG>America First Credit Union\r\n"
"<FID>54324\r\n"
"</FI>\r\n"
"<APPID>QWIN\r\n"
"<APPVER>1200\r\n"
"</SONRQ>\r\n"
"</SIGNONMSGSRQV1>\r\n"
"<BANKMSGSRQV1>\r\n"
"<STMTTRNRQ>\r\n"
"<TRNUID>00000000\r\n"
"<STMTRQ>\r\n"
"<BANKACCTFROM>\r\n"
"<BANKID>324377516\r\n"
"<ACCTID>124294-0.9:CHK\r\n"
"<ACCTTYPE>CHECKING\r\n"
"</BANKACCTFROM>\r\n"
"<INCTRAN>\r\n"
"<DTSTART>20160101\r\n"
"<INCLUDE>Y\r\n"
"</INCTRAN>\r\n"
"</STMTRQ>\r\n"
"</STMTTRNRQ>\r\n"
"</BANKMSGSRQV1>\r\n"
"</OFX>\r\n")
#print(payload)
response = requests.post('https://ofx.americafirst.com/', data=payload, headers=headers)
print(response.status_code)
print(response.headers)
print(response.text)
